Home

Get traces for all transactions in a block

POST
https://eth-archive.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

The trace_block method returns all traces produced in a specific block.

This method provides detailed execution traces for every transaction in the block, including contract calls, value transfers, and reward transactions.

Body

application/json

The trace_block method returns all traces produced in a specific block.

This method provides detailed execution traces for every transaction in the block, including contract calls, value transfers, and reward transactions.

Request payload for Get traces for all transactions in a block.

jsonrpcstring2.0required

JSON-RPC version identifier

methodstringtrace_blockrequired

The method to be invoked

idinteger | stringrequired

Request identifier for matching responses

paramsArray<string | string>required

Array containing block identifier

Show child attributes

Single JSON-RPC parameter value accepted by this method.

One of

Block number in hexadecimal format

string

Block tag specifying which block to trace

stringlatestearliestpendingsafefinalized

Response

200OK

Successful block traces response

400Bad Request

Invalid request parameters

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal server error